#include<stdio.h>
#include<stdlib.h>
int main()
{
	int n,m;
	scanf("%d%d",&n,&m);
	char tabla[n][m];
	int i,j;
	for(i=0;i<n;i++)
	    for(j=0;j<m;j++)
	        scanf("%c",&tabla[i][j]);
	int min=n;
	if(n>m)
	min=m;
	
	for(i=0;i<min;i++)
	tabla[i][i]='C';
	for(i=0;i<n;i++){
	
	   for(j=0;j<m;j++)
	       printf("%c",tabla[i][j]);
		printf("\n");}
		return 0;           
}